COMPILE_OPTIONS = -5r -fp5 -fpi87 -osrmhibl -mf -bt=DOS -zq
LINK_OPTIONS = system dos4g option stub=dos32a.exe

OBJS = &
	acc.obj     &
	error.obj   &
	misc.obj    &
	parse.obj   &
	pcode.obj   &
	strlist.obj &
	symbol.obj  &
	token.obj

acc.exe: $(OBJS)  
	wlink $(LINK_OPTIONS) f {$(OBJS)}

acc.o: acc.c &
	common.h &
	error.h &
	misc.h &
	parse.h &
	pcode.h &
	strlist.h &
	symbol.h &
	token.h &
	

error.o: error.c &
	common.h &
	error.h &
	misc.h &
	token.h &
	

misc.o: misc.c &
	common.h &
	error.h &
	misc.h &
	

parse.o: parse.c &
	common.h &
	error.h &
	misc.h &
	parse.h &
	pcode.h &
	strlist.h &
	symbol.h &
	token.h &
	

pcode.o: pcode.c &
	common.h &
	error.h &
	misc.h &
	pcode.h &
	strlist.h &
	

strlist.o: strlist.c &
	common.h &
	error.h &
	misc.h &
	pcode.h &
	strlist.h &
	

symbol.o: symbol.c &
	common.h &
	error.h &
	misc.h &
	pcode.h &
	symbol.h &
	parse.h &
	

token.o: token.c &
	common.h &
	error.h &
	misc.h &
	pcode.h &
	symbol.h &
	token.h &
	parse.h &

.c.obj :
 wcc386 $(COMPILE_OPTIONS) $[*
